Bug 1403879 (CVE-2016-9917) - CVE-2016-9917 bluez: Heap-based buffer overflow vulnerability in read_n()
Summary: CVE-2016-9917 bluez: Heap-based buffer overflow vulnerability in read_n()
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2016-9917
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1403885 1403886 1403887 1403883
Blocks: 1403882
TreeView+ depends on / blocked
 
Reported: 2016-12-12 14:33 UTC by Adam Mariš
Modified: 2019-09-29 14:02 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-31 07:01:16 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-12-12 14:33:56 UTC
A heap-based buffer overflow was observed in "read_n" function in "tools/hcidump.c" source file. This issue can be triggered by processing a corrupted dump file and will result in hcidump crash.

PoC can be found in following report:

https://www.spinics.net/lists/linux-bluetooth/msg68892.html

Comment 1 Adam Mariš 2016-12-12 14:43:58 UTC
Created kf5-bluez-qt tracking bugs for this issue:

Affects: fedora-all [bug 1403885]
Affects: epel-7 [bug 1403887]

Comment 2 Adam Mariš 2016-12-12 14:44:07 UTC
Created bluez tracking bugs for this issue:

Affects: fedora-all [bug 1403883]

Comment 3 Adam Mariš 2016-12-12 14:44:14 UTC
Created bluez-hcidump tracking bugs for this issue:

Affects: fedora-all [bug 1403886]


Note You need to log in before you can comment on or make changes to this bug.